package market.Qms.qcm.vo;

import java.io.Serializable;
import java.util.Date;

import market.Qms.qcm.mapper.OrdDesignStdCicMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Table;

@Table(name="SLM_ORD_DESIGN_STD_CIC", namespace=OrdDesignStdCicMapper.class)
public class OrdDesignStdCic extends BaseVO implements Serializable {

	/** DESGIN_KEY */
	@Column("DESGIN_KEY")
	private String desginKey;

	/** 成分标准索引号(CICN000001) */
	@Column
	private String cic;

	/** 用途代码 */
	@Column("ALPHA_CODE")
	private String alphaCode;

	/** 用途描述 */
	@Column("ALPHA_NAME")
	private String alphaName;


	/** 是否特殊要求(0:交付标准;1:特殊要求;2:内控标准) */
	@Column("SPECL_FL")
	private String speclFl;

	/** 序号 */
	@Column("INDEX_SEQ")
	private Integer indexSeq;

	/** 化学元素代码 */
	@Column("CHEM_CODE")
	private String chemCode;

	/** 化学元素描述 */
	@Column("CHEM_NAME")
	private String chemName;

	/** 化学元素类型(A:单一元素,B:复合元素) */
	@Column("CHEM_TYPE")
	private String chemType;

	/** 复合元素计算公式 */
	@Column("CHEM_FORMULA")
	private String chemFormula;

	/** 是否必检项()1:是，0：否) */
	@Column
	private String ischeck;

	/** 是否判定(1:是，0：否) */
	@Column
	private String isjudge;

	/** 是否报出(1:是，0：否) */
	@Column
	private String isquote;

	/** 是否是复合标准项(1:是,0:不是)(标准值通过公式进行计算) */
	@Column("COMPLEX_TYPE")
	private String complexType;

	/** 标准范围下限符号 */
	@Column("STDMIN_SIGN")
	private String stdminSign;

	/** 标准范围下限 */
	@Column
	private String stdmin;

	/** 标准范围上限符号 */
	@Column("STDMAX_SIGN")
	private String stdmaxSign;

	/** 标准范围上限 */
	@Column
	private String stdmax;

	/** 标准目标值 */
	@Column
	private String stdtarget;

	/** 扣型代码(集合) */
	@Column("MODEL_CODE")
	private String modelCode;

	/** 扣型描述(集合) */
	@Column("MODEL_DESC")
	private String modelDesc;

	/** 标准备注 */
	@Column
	private String stdmemo;

	/** 限制元素代码 */
	@Column("ELE_CODE")
	private String eleCode;

	/** 限制元素描述 */
	@Column("ELE_NAME")
	private String eleName;

	/** 限制元素下限符号 */
	@Column("ELE_MIN_SIGN")
	private String eleMinSign;

	/** 限制元素下限 */
	@Column("ELE_MIN")
	private String eleMin;

	/** 限制元素上限符号 */
	@Column("ELE_MAX_SIGN")
	private String eleMaxSign;

	/** 限制元素上限 */
	@Column("ELE_MAX")
	private String eleMax;

	/** 限制规格代码(外径、壁厚、径壁比等) */
	@Column("SIZE_CODE2")
	private String sizeCode2;

	/** 限制规格描述 */
	@Column("SIZE_NAME2")
	private String sizeName2;

	/** 限制规格下限符号 */
	@Column("SIZE_MIN_SIGN2")
	private String sizeMinSign2;

	/** 限制规格下限 */
	@Column("SIZE_MIN2")
	private String sizeMin2;

	/** 限制规格上限符号 */
	@Column("SIZE_MAX_SIGN2")
	private String sizeMaxSign2;

	/** 限制规格上限 */
	@Column("SIZE_MAX2")
	private String sizeMax2;

	/** 限制规格代码(外径、壁厚、径壁比等) */
	@Column("SIZE_CODE")
	private String sizeCode;

	/** 限制规格描述 */
	@Column("SIZE_NAME")
	private String sizeName;

	/** 限制规格下限符号 */
	@Column("SIZE_MIN_SIGN")
	private String sizeMinSign;

	/** 限制规格下限 */
	@Column("SIZE_MIN")
	private String sizeMin;

	/** 限制规格上限符号 */
	@Column("SIZE_MAX_SIGN")
	private String sizeMaxSign;

	/** 限制规格上限 */
	@Column("SIZE_MAX")
	private String sizeMax;

	/** 接箍规格代码(接箍专用，与外径壁厚只允许存在其一) */
	@Column("SPEC_JG")
	private String specJg;

	/** 接箍规格描述 */
	@Column("SPEC_JG_DESC")
	private String specJgDesc;

	/** 有效标志(1:有效，0:无效) */
	@Column
	private String validflag;

	/** 创建人 */
	@Column("CREATE_NAME")
	private String createName;

	/** 创建时间 */
	@Column("CREATE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;

	/** 修改人 */
	@Column("UPDATE_NAME")
	private String updateName;

	/** 修改时间 */
	@Column("UPDATE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date updateTime;

	/** 删除人 */
	@Column("DELETE_NAME")
	private String deleteName;

	/** 删除时间 */
	@Column("DELETE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date deleteTime;

	/** 替代元素代码 */
	@Column("REP_CODE")
	private String repCode;

	/** 替代元素描述 */
	@Column("REP_NAME")
	private String repName;

	/** 替代元素下限符号 */
	@Column("REP_MIN_SIGN")
	private String repMinSign;

	/** 替代元素下限 */
	@Column("REP_MIN")
	private String repMin;

	/** 替代元素上限符号 */
	@Column("REP_MAX_SIGN")
	private String repMaxSign;

	/** 替代元素上限 */
	@Column("REP_MAX")
	private String repMax;

	/** 替代元素值 */
	@Column("REP_VAL")
	private String repVal;
	
	

	public String getAlphaCode() {
		return alphaCode;
	}

	public void setAlphaCode(String alphaCode) {
		this.alphaCode = alphaCode;
	}

	public String getAlphaName() {
		return alphaName;
	}

	public void setAlphaName(String alphaName) {
		this.alphaName = alphaName;
	}

	public String getDesginKey() {
		return this.desginKey;
	}

	public String getCic() {
		return this.cic;
	}

	
	public String getSpeclFl() {
		return this.speclFl;
	}

	public Integer getIndexSeq() {
		return this.indexSeq;
	}

	public String getChemCode() {
		return this.chemCode;
	}

	public String getChemName() {
		return this.chemName;
	}

	public String getChemType() {
		return this.chemType;
	}

	public String getChemFormula() {
		return this.chemFormula;
	}

	public String getIscheck() {
		return this.ischeck;
	}

	public String getIsjudge() {
		return this.isjudge;
	}

	public String getIsquote() {
		return this.isquote;
	}

	public String getComplexType() {
		return this.complexType;
	}

	public String getStdminSign() {
		return this.stdminSign;
	}

	public String getStdmin() {
		return this.stdmin;
	}

	public String getStdmaxSign() {
		return this.stdmaxSign;
	}

	public String getStdmax() {
		return this.stdmax;
	}

	public String getStdtarget() {
		return this.stdtarget;
	}

	public String getModelCode() {
		return this.modelCode;
	}

	public String getModelDesc() {
		return this.modelDesc;
	}

	public String getStdmemo() {
		return this.stdmemo;
	}

	public String getEleCode() {
		return this.eleCode;
	}

	public String getEleName() {
		return this.eleName;
	}

	public String getEleMinSign() {
		return this.eleMinSign;
	}

	public String getEleMin() {
		return this.eleMin;
	}

	public String getEleMaxSign() {
		return this.eleMaxSign;
	}

	public String getEleMax() {
		return this.eleMax;
	}

	public String getSizeCode2() {
		return this.sizeCode2;
	}

	public String getSizeName2() {
		return this.sizeName2;
	}

	public String getSizeMinSign2() {
		return this.sizeMinSign2;
	}

	public String getSizeMin2() {
		return this.sizeMin2;
	}

	public String getSizeMaxSign2() {
		return this.sizeMaxSign2;
	}

	public String getSizeMax2() {
		return this.sizeMax2;
	}

	public String getSizeCode() {
		return this.sizeCode;
	}

	public String getSizeName() {
		return this.sizeName;
	}

	public String getSizeMinSign() {
		return this.sizeMinSign;
	}

	public String getSizeMin() {
		return this.sizeMin;
	}

	public String getSizeMaxSign() {
		return this.sizeMaxSign;
	}

	public String getSizeMax() {
		return this.sizeMax;
	}

	public String getSpecJg() {
		return this.specJg;
	}

	public String getSpecJgDesc() {
		return this.specJgDesc;
	}

	public String getValidflag() {
		return this.validflag;
	}

	public String getCreateName() {
		return this.createName;
	}

	public Date getCreateTime() {
		return this.createTime;
	}

	public String getUpdateName() {
		return this.updateName;
	}

	public Date getUpdateTime() {
		return this.updateTime;
	}

	public String getDeleteName() {
		return this.deleteName;
	}

	public Date getDeleteTime() {
		return this.deleteTime;
	}

	public String getRepCode() {
		return this.repCode;
	}

	public String getRepName() {
		return this.repName;
	}

	public String getRepMinSign() {
		return this.repMinSign;
	}

	public String getRepMin() {
		return this.repMin;
	}

	public String getRepMaxSign() {
		return this.repMaxSign;
	}

	public String getRepMax() {
		return this.repMax;
	}

	public String getRepVal() {
		return this.repVal;
	}

	public void setDesginKey(String desginKey) {
		this.desginKey = desginKey;
	}

	public void setCic(String cic) {
		this.cic = cic;
	}



	public void setSpeclFl(String speclFl) {
		this.speclFl = speclFl;
	}

	public void setIndexSeq(Integer indexSeq) {
		this.indexSeq = indexSeq;
	}

	public void setChemCode(String chemCode) {
		this.chemCode = chemCode;
	}

	public void setChemName(String chemName) {
		this.chemName = chemName;
	}

	public void setChemType(String chemType) {
		this.chemType = chemType;
	}

	public void setChemFormula(String chemFormula) {
		this.chemFormula = chemFormula;
	}

	public void setIscheck(String ischeck) {
		this.ischeck = ischeck;
	}

	public void setIsjudge(String isjudge) {
		this.isjudge = isjudge;
	}

	public void setIsquote(String isquote) {
		this.isquote = isquote;
	}

	public void setComplexType(String complexType) {
		this.complexType = complexType;
	}

	public void setStdminSign(String stdminSign) {
		this.stdminSign = stdminSign;
	}

	public void setStdmin(String stdmin) {
		this.stdmin = stdmin;
	}

	public void setStdmaxSign(String stdmaxSign) {
		this.stdmaxSign = stdmaxSign;
	}

	public void setStdmax(String stdmax) {
		this.stdmax = stdmax;
	}

	public void setStdtarget(String stdtarget) {
		this.stdtarget = stdtarget;
	}

	public void setModelCode(String modelCode) {
		this.modelCode = modelCode;
	}

	public void setModelDesc(String modelDesc) {
		this.modelDesc = modelDesc;
	}

	public void setStdmemo(String stdmemo) {
		this.stdmemo = stdmemo;
	}

	public void setEleCode(String eleCode) {
		this.eleCode = eleCode;
	}

	public void setEleName(String eleName) {
		this.eleName = eleName;
	}

	public void setEleMinSign(String eleMinSign) {
		this.eleMinSign = eleMinSign;
	}

	public void setEleMin(String eleMin) {
		this.eleMin = eleMin;
	}

	public void setEleMaxSign(String eleMaxSign) {
		this.eleMaxSign = eleMaxSign;
	}

	public void setEleMax(String eleMax) {
		this.eleMax = eleMax;
	}

	public void setSizeCode2(String sizeCode2) {
		this.sizeCode2 = sizeCode2;
	}

	public void setSizeName2(String sizeName2) {
		this.sizeName2 = sizeName2;
	}

	public void setSizeMinSign2(String sizeMinSign2) {
		this.sizeMinSign2 = sizeMinSign2;
	}

	public void setSizeMin2(String sizeMin2) {
		this.sizeMin2 = sizeMin2;
	}

	public void setSizeMaxSign2(String sizeMaxSign2) {
		this.sizeMaxSign2 = sizeMaxSign2;
	}

	public void setSizeMax2(String sizeMax2) {
		this.sizeMax2 = sizeMax2;
	}

	public void setSizeCode(String sizeCode) {
		this.sizeCode = sizeCode;
	}

	public void setSizeName(String sizeName) {
		this.sizeName = sizeName;
	}

	public void setSizeMinSign(String sizeMinSign) {
		this.sizeMinSign = sizeMinSign;
	}

	public void setSizeMin(String sizeMin) {
		this.sizeMin = sizeMin;
	}

	public void setSizeMaxSign(String sizeMaxSign) {
		this.sizeMaxSign = sizeMaxSign;
	}

	public void setSizeMax(String sizeMax) {
		this.sizeMax = sizeMax;
	}

	public void setSpecJg(String specJg) {
		this.specJg = specJg;
	}

	public void setSpecJgDesc(String specJgDesc) {
		this.specJgDesc = specJgDesc;
	}

	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	public void setCreateName(String createName) {
		this.createName = createName;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public void setUpdateName(String updateName) {
		this.updateName = updateName;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public void setDeleteName(String deleteName) {
		this.deleteName = deleteName;
	}

	public void setDeleteTime(Date deleteTime) {
		this.deleteTime = deleteTime;
	}

	public void setRepCode(String repCode) {
		this.repCode = repCode;
	}

	public void setRepName(String repName) {
		this.repName = repName;
	}

	public void setRepMinSign(String repMinSign) {
		this.repMinSign = repMinSign;
	}

	public void setRepMin(String repMin) {
		this.repMin = repMin;
	}

	public void setRepMaxSign(String repMaxSign) {
		this.repMaxSign = repMaxSign;
	}

	public void setRepMax(String repMax) {
		this.repMax = repMax;
	}

	public void setRepVal(String repVal) {
		this.repVal = repVal;
	}

}
